-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #	
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- ############################################################################

----------------------------------------------------------------
--RUN INSTRUCTIONS:
--    1. Open a DB2 command window.
--    2. Connect to TWH_MART database by using the following command:
--	 db2 connect to twh_mart user <db_user> using <db_password>
--	 where 	 <db_user>, <db_password> specify datbase user and password
--    2. Enter the following command
--      
--       db2 -f aws_clean_mart.db2 -t -r output.txt -l errorlog.txt
--
--       Note: aws_clean_mart.db2 is the name of this file.
--             output.txt   is the output report filename.
--             errorlog.txt is the error log filename.
--
---------------------------------------------------------------------------------
-- Clean fact tables
---------------------------------------------------------------------------------
delete from aws.f_runstates_day;
delete from aws.f_runtimes_DAY;

---------------------------------------------------------------------------------
-- Clean metric tables
---------------------------------------------------------------------------------
delete from aws.d_runstates_metric;
delete from aws.d_runtimes_metric;

---------------------------------------------------------------------------------
-- Clean Dimension tables
---------------------------------------------------------------------------------
delete from aws.d_job;
delete from aws.d_workstation;
